Skip to main content
POST
/api/v1/image/generations

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Encoding
string

Supported compression encodings (gzip, br).

Example:

"gzip, br"

Body

application/json
prompt
string
required

A text description of the desired image.

Required string length: 1 - 1500
Example:

"A beautiful sunset over mountain ranges"

background
enum<string> | null
default:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Available options:
transparent,
opaque,
auto
Example:

"auto"

model
string
default:default

The model to use for image generation. Defaults to Venice's default image model. If a non-existent model is specified (ie an OpenAI model name), it will default to Venice's default image model.

Example:

"grok-imagine-image"

moderation
enum<string> | null
default:auto

auto enables safe venice mode which will blur out adult content. low disables safe venice mode.

Available options:
low,
auto
Example:

"auto"

n
integer | null
default:1

Number of images to generate. Venice presently only supports 1 image per request.

Required range: 1 <= x <= 1
Example:

1

output_compression
integer | null
default:100

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Required range: 0 <= x <= 100
output_format
enum<string>
default:png

Output format for generated images

Available options:
jpeg,
png,
webp
Example:

"png"

quality
enum<string> | null
default:auto

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Available options:
auto,
high,
medium,
low,
hd,
standard
Example:

"auto"

response_format
enum<string> | null
default:b64_json

Response format. URL will be a data URL.

Available options:
b64_json,
url
Example:

"b64_json"

size
enum<string> | null
default:auto

Size of generated images. Default is 1024x1024

Available options:
auto,
256x256,
512x512,
1024x1024,
1536x1024,
1024x1536,
1792x1024,
1024x1792
Example:

"1024x1024"

style
enum<string> | null
default:natural

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Available options:
vivid,
natural
Example:

"natural"

user
string

This parameter is not used in Venice image generation but is supported for compatibility with OpenAI API

Example:

"user123"

Response

Successfully generated image

created
integer
required

Unix timestamp for when the request was created

Example:

1713833628

data
object[]
required